import { useEffect } from "react";

import TimerWidget from "../TimerWidget";
import type { Clue } from "../store/cluesSlice";
import { socket } from "../socket";

import { useTimer } from "../hooks";

interface Props {
  activeClue: Clue;
}

const ClueDisplay = ({ activeClue }: Props) => {
  const onTimeout = () => {
    socket.emit("clue-clock-timeout");
  };
  const { start, cancel, segs } = useTimer(5000, onTimeout);
  useEffect(() => {
    socket.on("clue-clock-on", start);
    socket.on("contestant-buzzed", cancel);
    socket.on("contestant-penalized", start);
  }, []);
  return (
    <>
      <div className="text-center fs-1">
        {activeClue.question}
      </div>
      <TimerWidget segs={segs} />
    </>
  );
};

export default ClueDisplay;
