import { Container, Row, Col } from "react-bootstrap";

import type { Category } from "../store/cluesSlice";

interface Props {
  categories: Category[];
}

const values = [200, 400, 600, 800, 1000];

const Gameboard = ({ categories }: Props) => {
  return (
    <Container fluid>
      <Row>
        {categories.map(({ name }) => (
          <Col
            xs={2}
            key={name}
            className="fw-bolder border border-2 border-dark bg-primary text-center text-white text-uppercase p-4"
          >
            {name}
          </Col>
        ))}
      </Row>
      {values.map((value) => (
        <Row key={value}>
          {categories.map(({ name }) => (
            <Col
              xs={2}
              key={name}
              className="text-center border border-dark bg-primary text-white p-4"
            >
              {value}
            </Col>
          ))}
        </Row>
      ))}
    </Container>
  );
};

export default Gameboard;
